0
Transaction Summary
==========================================================================================================================================================
Install       9 Package(s)
Upgrade     227 Package(s)
Remove        1 Package(s)

Total size: 252 M
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libasound.so.2()(64bit) is needed by libgcj-4.4.7-4.el6.x86_64
libasound.so.2(ALSA_0.9)(64bit) is needed by libgcj-4.4.7-4.el6.x86_64
** Found 15 pre-existing rpmdb problem(s), 'yum check' output follows:
alsa-lib-devel-1.0.22-3.el6.x86_64 has missing requires of alsa-lib = ('0', '1.0.22', '3.el6')
alsa-lib-devel-1.0.22-3.el6.x86_64 has missing requires of libasound.so.2()(64bit)
alsa-utils-1.0.22-5.el6.x86_64 has missing requires of libasound.so.2()(64bit)
alsa-utils-1.0.22-5.el6.x86_64 has missing requires of libasound.so.2(ALSA_0.9)(64bit)
alsa-utils-1.0.22-5.el6.x86_64 has missing requires of libasound.so.2(ALSA_0.9.0rc4)(64bit)
alsa-utils-1.0.22-5.el6.x86_64 has missing requires of libasound.so.2(ALSA_0.9.0rc8)(64bit)
frontpage-2002-SR1.2.i386 has missing requires of libexpat.so.0
gstreamer-plugins-base-0.10.29-2.el6.x86_64 has missing requires of libasound.so.2()(64bit)
gstreamer-plugins-base-0.10.29-2.el6.x86_64 has missing requires of libasound.so.2(ALSA_0.9)(64bit)
gstreamer-plugins-base-0.10.29-2.el6.x86_64 has missing requires of libasound.so.2(ALSA_0.9.0rc4)(64bit)
libgcj-4.4.7-3.el6.x86_64 has missing requires of libasound.so.2()(64bit)
libgcj-4.4.7-3.el6.x86_64 has missing requires of libasound.so.2(ALSA_0.9)(64bit)
1:qt-x11-4.6.2-26.el6_4.x86_64 has missing requires of libasound.so.2()(64bit)
1:qt-x11-4.6.2-26.el6_4.x86_64 has missing requires of libasound.so.2(ALSA_0.9)(64bit)
1:qt-x11-4.6.2-26.el6_4.x86_64 has missing requires of libasound.so.2(ALSA_0.9.0rc4)(64bit)
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2013-12-23-22-364infzT.yumtx
root@www1 [~]#

I did some research and this is due to a 32bit binary trying to install itself or broken repo?

root@www1 [~]# yum repolist
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: centos.mirror.lstn.net
 * extras: mirror.ash.fastserv.com
 * updates: ftp.usf.edu
repo id                                              repo name                                                                                    status
base                                                 CentOS-6 - Base                                                                              6,284+83
dag                                                  Dag RPM Repository for Red Hat Enterprise Linux                                              4,559+91
extras                                               CentOS-6 - Extras                                                                                  14
updates                                              CentOS-6 - Updates                                                                             247+39
repolist: 11,104

Now I disabled epel and rpmforge repops and still ended up with the same issues. Ideas?

1
  • 1
    Your system is infected with cPanel. It wouldn't surprise me at all if cPanel broke it. First thing I would do (if getting rid of cPanel isn't an option) is to contact their support. – Michael Hampton Dec 24 '13 at 4:00
1

Download and install the latest atrpms-repo:

wget http://dl.atrpms.net/el6-x86_64/atrpms/stable/atrpms-repo-6-7.el6.x86_64.rpm
rpm -Uvh atrpms-repo-6-7.el6.x86_64.rpm
yum clean all

Then, install the libasound2 package:

yum --enablerepo=atrpms-testing install libasound2
yum update

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.